Package org.jboss.resteasy.plugins.server.sun.http

## Class ResteasyHttpHandler

- java.lang.Object
- - org.jboss.resteasy.plugins.server.sun.http.ResteasyHttpHandler

- All Implemented Interfaces:
    `com.sun.net.httpserver.HttpHandler`

      public class ResteasyHttpHandler
      extends Object
      implements com.sun.net.httpserver.HttpHandler

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Dispatcher` | `dispatcher` |
    `protected ResteasyProviderFactory` | `providerFactory` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyHttpHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(com.sun.net.httpserver.HttpExchange httpExchange)` |
    `void` | `setDispatcher​(Dispatcher dispatcher)` |
    `void` | `setProviderFactory​(ResteasyProviderFactory providerFactory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dispatcher

          protected Dispatcher dispatcher

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

  - ### Constructor Detail

    - #### ResteasyHttpHandler

          public ResteasyHttpHandler()

  - ### Method Detail

    - #### setDispatcher

          public void setDispatcher​(Dispatcher dispatcher)

    - #### setProviderFactory

          public void setProviderFactory​(ResteasyProviderFactory providerFactory)

    - #### handle

          public void handle​(com.sun.net.httpserver.HttpExchange httpExchange)
                      throws IOException

      Specified by:
        `handle` in interface `com.sun.net.httpserver.HttpHandler`
      Throws:
        `IOException`